namespace FullScreenShaders.Structure
{
    enum DownsamplingMode
    {
        Blit,
        DoubleBlit,
        Tent,
        Kaiser,
        Bicubic
    }

    static class DownsamplingModeExtensions
    {
        public static bool DoublePass(this DownsamplingMode mode)
        {
            return mode == DownsamplingMode.Bicubic || mode == DownsamplingMode.Kaiser;
        }
    }
}
